net.sf.jasperreports.engine.design

## Class JRDesignChartDataset

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseElementDataset
  - - net.sf.jasperreports.engine.design.JRDesignElementDataset
    - - net.sf.jasperreports.engine.design.JRDesignChartDataset

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRChartDataset, JRCloneable, JRElementDataset
  Direct Known Subclasses:
    JRDesignCategoryDataset, JRDesignGanttDataset, JRDesignHighLowDataset, JRDesignPieDataset, JRDesignTimePeriodDataset, JRDesignTimeSeriesDataset, JRDesignValueDataset, JRDesignXyDataset, JRDesignXyzDataset

      public abstract class JRDesignChartDataset
      extends JRDesignElementDataset
      implements JRChartDataset

  Version:
    $Id: JRDesignChartDataset.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.design.JRDesignElementDataset

      `PROPERTY_DATASET_RUN, PROPERTY_INCREMENT_GROUP, PROPERTY_INCREMENT_TYPE, PROPERTY_INCREMENT_WHEN_EXPRESSION, PROPERTY_RESET_GROUP, PROPERTY_RESET_TYPE`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset

      `datasetRun, incrementGroup, incrementTypeValue, incrementWhenExpression, resetGroup, resetTypeValue`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRChartDataset

      `CATEGORY_DATASET, GANTT_DATASET, HIGHLOW_DATASET, PIE_DATASET, TIMEPERIOD_DATASET, TIMESERIES_DATASET, VALUE_DATASET, XY_DATASET, XYZ_DATASET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignChartDataset()`
    `JRDesignChartDataset(JRChartDataset dataset)`
    `JRDesignChartDataset(JRChartDataset dataset, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `getDatasetType()` Gets the dataset type.

    - ### Methods inherited from class net.sf.jasperreports.engine.design.JRDesignElementDataset

      `clone, getEventSupport, setDatasetRun, setIncrementGroup, setIncrementType, setIncrementWhenExpression, setResetGroup, setResetType`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset

      `collectExpressions, getDatasetRun, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetTypeValue`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChartDataset

      `validate`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElementDataset

      `collectExpressions, getDatasetRun, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetTypeValue`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Constructor Detail

    - #### JRDesignChartDataset

          public JRDesignChartDataset()

    - #### JRDesignChartDataset

          public JRDesignChartDataset(JRChartDataset dataset)

    - #### JRDesignChartDataset

          public JRDesignChartDataset(JRChartDataset dataset,
                              JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getDatasetType

          public byte getDatasetType()

      Description copied from interface: `JRChartDataset`
      Gets the dataset type. Must be one of the dataset type constants defined in this class.
      Specified by:
        `getDatasetType` in interface `JRChartDataset`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com